>From 605a7ca77acc8616ff4af26cdc6be2a22e1ae08f Mon Sep 17 00:00:00 2001
From: Sergio Ammirata <sergio@ammirata.net>
Date: Tue, 27 Nov 2018 07:57:49 -0500
Subject: [PATCH 2/2] RIST access_output: fix BAD_SHIFT warning on win32 builds
 (tv.tv_usec is 32 bits there)

---
 modules/access_output/rist.c | 4 +++-
 1 file changed, 3 insertions(+), 1 deletion(-)

diff --git a/modules/access_output/rist.c b/modules/access_output/rist.c
index 1e36b96..17929d0 100644
--- a/modules/access_output/rist.c
+++ b/modules/access_output/rist.c
@@ -338,7 +338,9 @@ static void rist_rtcp_send(sout_access_out_t *p_access)
     rtcp_sr_set_length(p_sr, 6);
     rtcp_fb_set_int_ssrc_pkt_sender(p_sr, p_sys->ssrc);
     rtcp_sr_set_ntp_time_msw(p_sr, tv.tv_sec + SEVENTY_YEARS_OFFSET);
-    fractions = (tv.tv_usec << 32ULL) / 1000000ULL;
+    fractions = (uint64_t)tv.tv_usec;
+    fractions <<= 32ULL;
+    fractions /= 1000000ULL;
     rtcp_sr_set_ntp_time_lsw(p_sr, (uint32_t)fractions);
     rtcp_sr_set_rtp_time(p_sr, rtp_get_ts(vlc_tick_now()));
     vlc_mutex_lock( &p_sys->lock );
-- 
2.7.4

